Package com.google.android.exoplayer2.extractor

## Class SeekMap.SeekPoints

- java.lang.Object
- - com.google.android.exoplayer2.extractor.SeekMap.SeekPoints

- Enclosing interface:
    SeekMap

      public static final class SeekMap.SeekPoints
      extends Object

  Contains one or two `SeekPoint`s.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `SeekPoint` | `first` | The first seek point.
    `SeekPoint` | `second` | The second seek point, or `first` if there's only one seek point.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SeekPoints​(SeekPoint point)` |
    `SeekPoints​(SeekPoint first, SeekPoint second)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### first

          public final SeekPoint first

      The first seek point.

    - #### second

          public final SeekPoint second

      The second seek point, or `first` if there's only one seek point.

  - ### Constructor Detail

    - #### SeekPoints

          public SeekPoints​(SeekPoint point)

      Parameters:
        `point` - The single seek point.

    - #### SeekPoints

          public SeekPoints​(SeekPoint first,
                            SeekPoint second)

      Parameters:
        `first` - The first seek point.
        `second` - The second seek point.

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`